W3C Simple API for CSS (SAC) version 1.3 - Java API: Interface AttributeCondition

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac
Interface AttributeCondition

All Superinterfaces:
  Condition

public interface AttributeCondition
extends Condition

Version:
  $Revision: 1.5 $
See Also:
  `Condition.SAC_ATTRIBUTE_CONDITION`, `Condition.SAC_ONE_OF_ATTRIBUTE_CONDITION`, `Condition.SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION`, `Condition.SAC_ID_CONDITION`, `Condition.SAC_CLASS_CONDITION`, `Condition.SAC_PSEUDO_CLASS_CONDITION`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Method Summary
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this attribute.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI of this attribute condition.
`boolean` | `getSpecified()` Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.
`java.lang.String` | `getValue()` Returns the value of the attribute.

Methods inherited from interface org.w3c.css.sac.Condition
`getConditionType`

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this attribute.

  `NULL` if :

  - this attribute condition can match any attribute.

  - this attribute is a class attribute.

  - this attribute is an id attribute.

  - this attribute is a pseudo-class attribute.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns the namespace URI of this attribute condition.

  `NULL` if :

  - this attribute condition can match any namespace.
  - this attribute is an id attribute.

### getSpecified

    public boolean getSpecified()

  Returns `true` if the attribute must have an explicit value in the original document, `false` otherwise.

### getValue

    public java.lang.String getValue()

  Returns the value of the attribute. If this attribute is a class or a pseudo class attribute, you'll get the class name (or psedo class name) without the '.' or ':'.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS |
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 W3C® (MIT, INRIA, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. Your interactions with this site are in accordance with our public and Member privacy statements.